
Redmine - Defect #3167

Incorrect labels/translations

2009-04-14 14:07 - Mischa The Evil

Status: Closed Start date: 2009-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Today I came around two errors related to the implementation of Rail i18n:

1. In source:trunk/app/views/issues/destroy.rhtml#L1 the incorrect label :confirmation is used instead of the correct

:label_confirmation.

2. In source:trunk/config/locales/en.yml#L753 the following incorrect ("un-enumerated") translation is used: 

  text_destroy_time_entries_question: %.02f hours were reported on the issues you are about to

 delete. What do you want to do ?

The %0.2f is rendered as plain text in the view instead of being enumerated to the correct, rounded value. I tried to fix it myself

but couldn't get it done... ;)

Related issues:

Has duplicate Redmine - Defect #3307: When deleting issue which has reported ... Closed 2009-05-07

Associated revisions

Revision 2684 - 2009-04-24 19:03 - Jean-Philippe Lang

Fixes a translation key (#3167).

Revision 2685 - 2009-04-24 19:18 - Jean-Philippe Lang

Fixed: %0.2f is rendered as plain text in issues/destroy view (#3167).

History

#1 - 2009-04-24 19:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r2684 and r2685.

Thanks for pointing this out.
